Subject: Re: [urn] Comments on draft-ietf-urnbis-rfc2141bis-urn-02

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 03 Jul 2012 13:39:42 -0600

On 6/27/12 5:17 PM, SM wrote:

> In Section 1.1:
> 
>   "Since this RFC will be of particular interest for groups and
>    individuals that are interested in persistent identifiers in general
>    and not in continuous contact with the IETF and the RFC series, this
>    section gives a brief outline of the evolution of the matter over
>    time.  Appendix E gives hints on how to obtain RFCs and related
>    information."
> 
> This is unnecessary.  if a person cannot find RFC XXXX, it's unlikely
> that the person would find this document.
> 
>   "Registration procedures for URI Schemes originally had been laid down
>    in RFC 2717 [RFC2717] and guidelines for the related specification
>    documents were given in RFC 2718 [RFC2718].  These documents have
>    been obsoleted and consolidated into BCP 35, RFC 4395 [RFC4395], which
>    is based on, and aligned with, RFC 3986."
> 
> The history of the registration procedures is not as important.  I
> suggest moving it into an appendix if the author wants to keep that
> information.  I found the text informative but most readers won't share
> that view.

At the least, I agree that moving this information to an appendix would
be better. I question whether it really belongs in this document at all.

> In Section 1.2:
> 
>   "This section aims at quoting requirements as identified in the past;
>    it does not attempt to revise or redefine these requirements, but it
>    gives some hints where more than a decade of experience with URNs has
>    shed a different light on past views.  The citations below are given
>    here to make this document self-contained and avoid normative down-
>    references to old work."
> 
> Such information might only be informative for a small subset of IETF
> participants.  People reading a document about URN syntax might find it
> confusing.  This this is a stylistic nit.  I suggest targeting the
> average reader.  Describe the properties of URNs and move the historical
> information to an appendix if the author would like to keep that.

I think Section 1.2 is positively misleading. Just say "High level
requirements for URNs can be found in RFC 1738."

> In Section 1.3:
> 
>   "RFC 2141 does not seamlessly match current Internet Standards.  The
>    primary objective of this document is the alignment with the URI
>    standard [RFC3986] and URI Scheme guidelines [RFC4395], the ABNF
>    standard [RFC5234] and the current IANA Guidelines [RFC5226] in
>    general.
> 
> The objective should be in the Introduction Section.  Move the
> Historical information to the section about history.
> 
>   "For advancing the URN specification on the Internet Standards-Track,
>    it needs to be based on documents of comparable maturity.  Therefore,
>    to further advancements of the formal maturity level of this RFC, it
>    deliberately makes normative references only to documents at Full
>    Standard or Best Current Practice level."
> 
> This above is not that useful in the context of this document.

Agreed.

I think all of Section 1 can be condensed into a few paragraphs instead
of multiple pages, and that (as SM noted) the entire document could
benefit from significant editing to remove unnecessary text.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/